> For the complete documentation index, see [llms.txt](https://docs.flowiseai.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowiseai.com/api-reference/vector-upsert.md).

# Vector Upsert

## Upsert vector embeddings

> Upsert vector embeddings of documents in a chatflow

```json
{"tags":[{"name":"vector"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"VectorUpsertResponse":{"type":"object","properties":{"numAdded":{"type":"number","description":"Number of vectors added"},"numDeleted":{"type":"number","description":"Number of vectors deleted"},"numUpdated":{"type":"number","description":"Number of vectors updated"},"numSkipped":{"type":"number","description":"Number of vectors skipped (not added, deleted, or updated)"},"addedDocs":{"type":"array","items":{"$ref":"#/components/schemas/Document"}}}},"Document":{"type":"object","properties":{"pageContent":{"type":"string"},"metadata":{"type":"object","additionalProperties":{"type":"string"}}}}}},"paths":{"/vector/upsert/{id}":{"post":{"tags":["vector"],"operationId":"vectorUpsert","summary":"Upsert vector embeddings","description":"Upsert vector embeddings of documents in a chatflow","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"Chatflow ID"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"stopNodeId":{"type":"string","description":"In cases when you have multiple vector store nodes, you can specify the node ID to store the vectors"},"overrideConfig":{"type":"object","description":"The configuration to override the default vector upsert settings (optional)"}}}},"multipart/form-data":{"schema":{"type":"object","properties":{"files":{"type":"array","items":{"type":"string","format":"binary"},"description":"Files to be uploaded"},"modelName":{"type":"string","nullable":true,"description":"Other override configurations"}},"required":["files"]}}},"required":true},"responses":{"200":{"description":"Vector embeddings upserted successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VectorUpsertResponse"}}}},"400":{"description":"Invalid input provided"},"404":{"description":"Chatflow not found"},"422":{"description":"Validation error"},"500":{"description":"Internal server error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowiseai.com/api-reference/vector-upsert.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
